Bug 541879 - [abrt] crash detected in toped-0.9.5-1.fc12
Summary: [abrt] crash detected in toped-0.9.5-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: toped
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:220e8a22be1ec1972117b2df739...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-27 11:48 UTC by Marc FRANCOIS
Modified: 2009-12-11 18:13 UTC (History)
3 users (show)

Fixed In Version: 0.9.51-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-11 18:13:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.38 KB, text/plain)
2009-11-27 11:48 UTC, Marc FRANCOIS
no flags Details
output of the glewinfo utility (138.76 KB, text/plain)
2009-12-01 08:00 UTC, Marc FRANCOIS
no flags Details
dmesg output (38.69 KB, text/plain)
2009-12-02 14:03 UTC, Marc FRANCOIS
no flags Details
cat /var/log/Xorg.0.log (148.30 KB, application/octet-stream)
2009-12-02 14:04 UTC, Marc FRANCOIS
no flags Details
Output from glxinfo (16.27 KB, text/plain)
2009-12-04 08:29 UTC, Marc FRANCOIS
no flags Details
visualinfo output (12.66 KB, text/plain)
2009-12-04 08:31 UTC, Marc FRANCOIS
no flags Details
run toped in gdb and call glXGetCurrentContext() (2.61 KB, text/plain)
2009-12-04 14:30 UTC, Marc FRANCOIS
no flags Details

Description Marc FRANCOIS 2009-11-27 11:48:41 UTC
abrt detected a crash.

Comment: Application crashes at start
Attached file: backtrace
cmdline: toped
component: toped
executable: /usr/bin/toped
kernel: 2.6.31.5-127.fc12.i686.PAE
package: toped-0.9.5-1.fc12
rating: 2
reason: Process was terminated by signal 11

Comment 1 Marc FRANCOIS 2009-11-27 11:48:43 UTC
Created attachment 374202 [details]
File: backtrace

Comment 2 Svilen Krustev 2009-11-28 12:00:12 UTC
(In reply to comment #1)

Can I get some more details?
- Is the crash appear on startup? No any windows popping?
- What is your graphic card and the driver?
- Would you please check whether glf font files exists. That would be in /usr/share/toped/fonts

Would you please consider reporting the crash also at
http://code.google.com/p/toped/issues/entry


> Created an attachment (id=374202) [details]
> File: backtrace  

(In reply to comment #0)
> abrt detected a crash.
> 
> Comment: Application crashes at start
> Attached file: backtrace
> cmdline: toped
> component: toped
> executable: /usr/bin/toped
> kernel: 2.6.31.5-127.fc12.i686.PAE
> package: toped-0.9.5-1.fc12
> rating: 2
> reason: Process was terminated by signal 11

Comment 3 Marc FRANCOIS 2009-11-30 10:04:42 UTC
I confirm that application crashes at startup without any windows popping.

Graphic card - driver.
MSI M662 Laptop 
Intel GMA950 Dynamic Video Memory Technology 3.0
Detected (system-config-display)
Intel-Intel integrated graphic chipsets
Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller.

6 glf font files exist in /usr/share/toped/fonts.

Comment 4 Svilen Krustev 2009-11-30 22:11:23 UTC
Thanks for the info.

As far as I can see, on startup the openGL is recognised to maintain VBOs(virtual buffer objects). In the same time - effectively the first call to an openGL function causes the application to crash.
From your log: drawprop.cpp:366 is:
   glGenBuffers(_num_ogl_buffers, _ogl_buffers);
i.e. calling the openGL function to create a couple of VBO's for the fonts.

Is it possible to attach the output of the glewinfo utility.
glew library should be already on your platform (Toped depends on it)

Thanks in advance

Comment 5 Marc FRANCOIS 2009-12-01 08:00:31 UTC
Created attachment 374982 [details]
output of the glewinfo utility

Comment 6 Svilen Krustev 2009-12-01 21:57:23 UTC
Thanks for the report.

It looks like the initial diagnostic of the available openGL resources is correct. Mesa driver reports that it maintains glGenBuffers. Yet it crashes exactly on that call...

http://code.google.com/p/toped/issues/detail?id=21&colspec=ID%20Type%20Summary%20Component%20OpSys%20Owner%20Status%20Priority

I do believe that Fedora has nothing to do with the problem and filed a bug report on the Toped web site. 

http://code.google.com/p/toped/issues/detail?id=21&colspec=ID%20Type%20Summary%20Component%20OpSys%20Owner%20Status%20Priority

It needs additional investigation, but it looks like specific to the particular combination of the graphic card and the driver. I'll try to address it with Mesa guys. The suggestion is to track the issue on the Toped web site and to close it here, because (again) it has not much to do with Fedora itself.

Comment 7 Marc FRANCOIS 2009-12-02 09:17:14 UTC
I installed Toped with Fedora on different systems and had the problem only with my Laptop. I will check if a new driver is availlable.


Thanks you  your help

Comment 8 Chitlesh GOORAH 2009-12-02 13:35:31 UTC
Hello Marc, Krustev is the main developer behind toped. Can you please attached the 
* dmesg output and
* cat /var/log/Xorg.0.log
of the machine on which toped is failing.

If it is a driver issue, i'll forward your input to the Xorg maintainers and try to get it fixed in their next update.

Comment 9 Marc FRANCOIS 2009-12-02 14:03:38 UTC
Created attachment 375436 [details]
dmesg output

Comment 10 Marc FRANCOIS 2009-12-02 14:04:39 UTC
Created attachment 375437 [details]
cat /var/log/Xorg.0.log

Comment 11 Svilen Krustev 2009-12-02 21:26:27 UTC
Hi Marc,

Thanks for your help. I've got everything that I needed to investigate the crash. As I mentioned earlier - it's due to a combination of the graphic driver, graphic card and also due to the not quite precise automatic discovery of the above during Toped start-up.
I've contacted one of the developers of the particular Mesa graphic driver you're using and it seems now clear what the crash is due to. Over the next couple of days I'll try to produce a fix or at least workaround (or both), but it might take a couple of weeks until it gets into the Fedora mainstream.

Although I can suggest a possible quicker workaround for you (installing a vendor driver if such exists) I would be really tempted to ask you if possible to preserve your current configuration (in terms of graphic drivers and X setups) so we'll be able to test the fix when it's ready. As you can guess your platform is unique for this type of crash, I don't have access to that kind of hardware.

Again - your feedback is appreciated.

Comment 12 Marc FRANCOIS 2009-12-03 10:46:54 UTC
Hi Svilen,

I keep my current graphic configuration. Don't hesitate to let me know if can participate in the tests when a fix is available.

Thank you for your assistance.

Comment 13 Svilen Krustev 2009-12-03 20:58:32 UTC
Hi Marc

I've contacted the driver developers and the developers of the glew library.A discussion is going on and the guys come-up with the idea to doublecheck the glx visual. Sorry to bother you again, but would please post the result of

glxinfo
visualinfo

Regards
Svilen

Comment 14 Svilen Krustev 2009-12-03 21:47:16 UTC
Also from that discussion, to nail it down here is the suggestion:

Run Toped in the debugger. When it crashes, type the line below in the debugger prompt

call glXGetCurrentContext()

and post the response please

Comment 15 Marc FRANCOIS 2009-12-04 08:29:58 UTC
Created attachment 376026 [details]
Output from glxinfo

Comment 16 Marc FRANCOIS 2009-12-04 08:31:04 UTC
Created attachment 376027 [details]
visualinfo output

Comment 17 Marc FRANCOIS 2009-12-04 08:41:42 UTC
(In reply to comment #14)
> Also from that discussion, to nail it down here is the suggestion:
> 
> Run Toped in the debugger. When it crashes, type the line below in the debugger
> prompt
> 
> call glXGetCurrentContext()
> 
> and post the response please  

Hi Svilen,

I have no experience with debugger. could you help me to start it.

Comment 18 Marc FRANCOIS 2009-12-04 14:30:44 UTC
Created attachment 376093 [details]
run toped in gdb and call glXGetCurrentContext()

Comment 19 Svilen Krustev 2009-12-04 21:12:56 UTC
Thanks Marc!
You figured it out how to do it. 

Clearly there is a problem either with the driver or in GLEW (less likely) which needs to be addressed properly. I'm working on improving the start-up diagnostics of Toped and in parallel on a workaround - so that cases like yours can have  an "out of jail" card.

Comment 20 Fedora Update System 2009-12-10 06:59:20 UTC
toped-0.9.51-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/toped-0.9.51-1.fc12

Comment 21 Fedora Update System 2009-12-10 06:59:26 UTC
toped-0.9.51-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/toped-0.9.51-1.fc11

Comment 22 Marc FRANCOIS 2009-12-11 16:10:03 UTC
The last version  works fine.

Thanks!

Comment 23 Fedora Update System 2009-12-11 18:13:10 UTC
toped-0.9.51-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2009-12-11 18:13:25 UTC
toped-0.9.51-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.